[needs-packaging] StepMania

Bug #135874 reported by Murat Gunes on 2007-08-30
136
This bug affects 19 people
Affects Status Importance Assigned to Milestone
GetDeb Software Portal
Wishlist
João Pinto
Declined for Trunk by João Pinto
Playdeb
Undecided
Unassigned
Declined for Trunk by João Pinto
Debian
New
Unknown
Nominated for Experimental by Kẏra
Nominated for Sid by Kẏra
Nominated for Squeeze by Kẏra
Ubuntu
Wishlist
Unassigned
Nominated for Lucid by mclaud2000
stepmania (Fedora)
New
Undecided
Unassigned

Bug Description

"StepMania is a free dance and rhythm game featuring 3D graphics, dance pad support, and a step editor."

http://www.stepmania.com/

License: MIT/X11

On Tue, Jul 15, 2003 at 08:57:13PM +0200, Julien Delange wrote:
> Package: wnpp
> Version: unavailable; reported 2003-07-15
> Severity: wishlist
>
> * Package name : stepmania
> Version : 20030705
> Upstream Author : Stepmania Team <email address hidden>
> * URL : http://www.stepmania.com
> * License : GPL
> Description : Show me your moves, with this dancing game
>
> This is a dancing game. You must have some music files on your computer
> to play this game. You can play with a keyboard, but it's better with a
> useful pad.

How's this better than pyddr? This isn't an insult, but rather it would
be nice to know what differentiates this program from pyddr which is a
very similar program already in the archive.

Also the description is kind of corny :)

-Josh

--
"Notice that, written there, rather legibly, in the Baroque style common
to New York subway wall writers, was, uhm... was the old familiar
suggestion. And rather beautifully illustrated, as well..."

       -- Art Garfunkel on the inspiration for "A Poem On The Underground Wall"

Apologies if this gets sent twice. My mail server took a dive in the
middle of sending it before, I think. I forgot to Cc the bug anyway.

Also, as an upstream author and maintainer of pydance, you can consider
me biased, if you want. On the other hand, the reasons below are the
reasons I'm working on pydance rather than StepMania in the first place.

On Tue, 2003-07-15 at 23:07, Joshua Kwan wrote:
> On Tue, Jul 15, 2003 at 08:57:13PM +0200, Julien Delange wrote:
> > Package: wnpp
> > Version: unavailable; reported 2003-07-15
> > Severity: wishlist
> >
> > * Package name : stepmania
> > Version : 20030705
> > Upstream Author : Stepmania Team <email address hidden>
> > * URL : http://www.stepmania.com
> > * License : GPL
> > Description : Show me your moves, with this dancing game
> >
> > This is a dancing game. You must have some music files on your computer
> > to play this game. You can play with a keyboard, but it's better with a
> > useful pad.
>
> How's this better than pyddr? This isn't an insult, but rather it would
> be nice to know what differentiates this program from pyddr which is a
> very similar program already in the archive.

1. pydance (previously pyddr) is, sum total, less than the size of the
StepMania executable, not including any data files.

2. pydance runs on more platforms, and on systems without OpenGL.

3. pydance doesn't support "double" and "solo" (6 panel) modes, which
StepMania does.

4. StepMania has no songs to distribute with it, so it would have to go
in contrib (it can't read either of pydance's formats).

5. StepMania has considerably better MP3 support than pydance.

6. StepMania is full of graphics that look, to me, like rips of actual
Dance Dance Revolution graphics. If they're not, they definitely are
trying to be as close to them as possible, and using many trademarked
characters and images with no attribution. Unless they have permission
from Konami, this package isn't even suitable for non-free. Also, I
suspect they have sound effects and announcer data that's non-licensed
as well.
--
Joe Wreschnig <email address hidden>

I wrote:
> 4. StepMania has no songs to distribute with it, so it would have to go
> in contrib (it can't read either of pydance's formats).

This remains an issue, but...

> 6. StepMania is full of graphics that look, to me, like rips of actual
> Dance Dance Revolution graphics. If they're not, they definitely are
> trying to be as close to them as possible, and using many trademarked
> characters and images with no attribution. Unless they have permission
> from Konami, this package isn't even suitable for non-free. Also, I
> suspect they have sound effects and announcer data that's non-licensed
> as well.

This conversation (among other things) happened in #stepmania:

(piman) My only real concern is about Debian bug #201448, which is
someone intending to package StepMania for Debian GNU/Linux.
(_Glenn_) Heh. That won't happen for a while; not until we get an
original theme, at least.
(_Glenn_) I'll check on it.
(_Glenn_) I've wanted an original theme for a very long time.
Unfortunately, I'm not an artist so I can do next to nothing to help; so
I can't do much about that.

It could go in contrib/, but it would be pretty useless (no graphics or
sounds at all, which is most of the package).

So, I no longer object to this ITP, assuming it's done *after* the theme
change.
--
Joe Wreschnig <email address hidden>

StepMania has plenty of advantages. However, until it has a free theme,
it's not suitable for inclusion in Debian. This isn't nearly as much
work as, say, making a free data set for Quake, but it still hasn't yet
been done. I'll let you know if it happens, though.

By the way, I hadn't heard anything about this. It's nice to let the
development team of projects know that you're intending to package their
software. For future reference, the appropriate list for that is
<email address hidden>. (Don't send mail to individual developers;
if you do that, nobody else will hear of it.)

--
Glenn Maynard, SM team

On Tue, Jul 22, 2003 at 04:56:59PM -0500, William F. Reading wrote:
> >So, when I saw the Stepmania release for GNU/Linux, and I was so happy
> >that I want package this software into a Debian Package.
> >But, to do a Debian package, the software have to compile. So, I
> >download the sources of stepmania, and run the configure script, but,
> >it
> >doesn't work !
> >I saw that you use autoconf/automake, and I try to copy some files, but
> >... it doesn't work, and, I can't compile the software.
> >
> >So, if you can send me a version, which can be compiled, it will be
> >very
> >good ;-)

As I pointed out in Debian ITP #201448, it won't be possible to package
StepMania for distribution in Debian for some time, since we don't have a
theme appropriate for main. If you want to package it for general use (not
for inclusion in Debian), that's fine, but I'd recommend waiting for a
release.

I'd suggest that one should have sufficient experience to report problems
correctly--you didn't give any hint of what didn't work--and a good
understanding of build processes and autoconf before making Debian
packages, though.

--
Glenn Maynard

Hello
There are two ITP stepmania entries in BTS. I am going to merge those
entries. Please, make an agreement about packaging/maintaining/co-maintaining
this package.

Regards
 Artur
--
Na twardzielu dioda gore
 /z pamiętnika administratora/

severity 200715 wishlist
merge 200715 201448
--
opadły mgły i miasto ze snu się budzi, góra czmycha już noc
ktoś tam cicho czeka by ktoś powrócił, do gwiazd jest bliżej niż krok
pies się włóczy popod murami bezdomny, niesie się tęsknota czyjaś
                                                       na świata cztery strony

Hello,

This is an automatic mail sent to close the RFP you have reported or
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 600 days.
- It haven't had any activity recently.
- The amount of ITPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail <email address hidden>
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <email address hidden>.

This is the first mass wnpp closing that will be done. The next close
will be done on inactive RFPs older than 450 days and finally, the
ones older than 365 days (an automatic script will close *inactive*
RFPs when they reach one year old).

A similar process is being applied to the ITP wnpp bugs in these
days.

Thanks for your cooperation,

 -- David Moreno Garza <email address hidden> Wed, 14 Sep 2005 21:54:42 -0500

# hot-babe:
reopen 283578

# exact:
reopen 260283

# archmage:
reopen 313203

# kernel-patch-acpi:
reopen 181716

# stepmania:
reopen 201448

# kolab-server:
reopen 261632

# Au revoir.
thanks

I'm reopening these bugs since they were was closed because of closing
an RFP (on a wnpp cleaning effort). Being merged with active ITPs, made
all of them to be closed.

Sorry for the noise,

--
David Moreno Garza <email address hidden> | http://www.damog.net/
                   <email address hidden> | GPG: C671257D
  Veneno quisiera haber sido, para así en tu pecho clavarte un puñal.

owner 200715 Andrew Lenharth <email address hidden>
owner 203211 Clément Stenac <email address hidden>
owner 204606 Pierre THIERRY <email address hidden>
owner 204969 Marc Haber <email address hidden>
owner 205392 Frank Küster <email address hidden>
owner 206931 Pierre THIERRY <email address hidden>
owner 207636 Idan Sofer <email address hidden>
owner 208692 Jan Wagemakers <email address hidden>
owner 213361 Adam Borowski <email address hidden>
owner 221258 Paul Marques Mota <email address hidden>
owner 221492 Steffen Moeller <email address hidden>
owner 224286 Alejandro Arrieta Rios <email address hidden>
owner 226318 Roberto Cioffi <email address hidden>
owner 226636 Neil McGovern <email address hidden>
owner 229266 Marco Herrn <email address hidden>
thanks

--
Thomas Huriaux

What's the current status of this ITP?

Shouldn't #200715 and #201448 be joined?

Miry

______________________________________________
LLama Gratis a cualquier PC del Mundo.
Llamadas a fijos y móviles desde 1 céntimo por minuto.
http://es.voice.yahoo.com

[Cc-ing Glenn since he's expressed interest in this ITP earlier]

On Sun, Jun 18, 2006 at 02:12:02PM +0200, Miriam Ruiz wrote:
> What's the current status of this ITP?

I don't know what the status of the original submitters, but I'd be quite
ready to take this ITP over if nobody objected. StepMania is now on its way
to getting a free theme -- AFAICS the graphics, animations and music have
been replaced and only a few things (like sound effects) remain, so if the
current progress continues, it could go into the archive quite soon.

I already have prepackages ready (actually, has had for about a year now), but
they're of course still undistributable due to the offending theme material,
and will have to go to experimental as long as we're talking StepMania 4 here.

> Shouldn't #200715 and #201448 be joined?

They already are merged.

/* Steinar */
--
Homepage: http://www.sesse.net/

Hi, thanks for your answer,

 --- "Steinar H. Gunderson" <email address hidden> escribió:

> [Cc-ing Glenn since he's expressed interest in this ITP earlier]
>
> On Sun, Jun 18, 2006 at 02:12:02PM +0200, Miriam Ruiz wrote:
> > What's the current status of this ITP?
>
> I don't know what the status of the original submitters, but I'd be quite
> ready to take this ITP over if nobody objected. StepMania is now on its way
> to getting a free theme -- AFAICS the graphics, animations and music have
> been replaced and only a few things (like sound effects) remain, so if the
> current progress continues, it could go into the archive quite soon.
>
> I already have prepackages ready (actually, has had for about a year now),
> but
> they're of course still undistributable due to the offending theme material,
> and will have to go to experimental as long as we're talking StepMania 4
> here.

It's OK. I was quite interested in the package too. I've been packaging it for
myself for a long time too, that's why I asked. In case you're interested in
packaging the game collaboratively, maybe you can count with the Debian Games
Team. Otherwise I'll be waiting for it, it's one of my favourite games :)

Greetings,
Miry

______________________________________________
LLama Gratis a cualquier PC del Mundo.
Llamadas a fijos y móviles desde 1 céntimo por minuto.
http://es.voice.yahoo.com

On Mon, 2006-08-14 at 10:52 +0200, Steinar H. Gunderson wrote:
> [Cc-ing Glenn since he's expressed interest in this ITP earlier]
>
> On Sun, Jun 18, 2006 at 02:12:02PM +0200, Miriam Ruiz wrote:
> > What's the current status of this ITP?
>
> I don't know what the status of the original submitters, but I'd be quite
> ready to take this ITP over if nobody objected. StepMania is now on its way
> to getting a free theme -- AFAICS the graphics, animations and music have
> been replaced and only a few things (like sound effects) remain, so if the
> current progress continues, it could go into the archive quite soon.

Please be my guest.

Andrew

> I already have prepackages ready (actually, has had for about a year now), but
> they're of course still undistributable due to the offending theme material,
> and will have to go to experimental as long as we're talking StepMania 4 here.
>
> > Shouldn't #200715 and #201448 be joined?
>
> They already are merged.
>
> /* Steinar */
--
http://www.lenharth.org/~andrewl/

And without software to do something useful with all that hardware, the
hardware's nothing more than a really complicated space heater.
--Neal Stephenson

I plan to upload version 3.9 to the archive. AFAIK, there shouldn't been ant
problem with the theme, as it is original and, even if it tries to mimig
DDR's, no TM is being enforced.

Please tell me if you have any objections. I want to maintain this game
inside the Debian Games Team, so any of you willing to help is welcome.

Greetings,
Miry

On Sat, Jul 14, 2007 at 10:22:52PM +0200, Miriam Ruiz wrote:
> I plan to upload version 3.9 to the archive. AFAIK, there shouldn't been
> ant problem with the theme, as it is original and, even if it tries to
> mimig DDR's, no TM is being enforced.

We discussed this on IRC, so I'll just put the short version here for the
bug log: This is completely impossible; 3.9 has lots of music and graphics
which is directly ripped from DDRMAX. 4.0 is probably going to be a lot
better, but last time I checked upstream was not done pruning the tree of
non-distributable elements yet.

FWIW, I'm still interested in maintaining StepMania in Debian, as soon as the
legal stuff is OK.

/* Steinar */
--
Homepage: http://www.sesse.net/

2007/7/15, Steinar H. Gunderson <email address hidden>:
>
> On Sat, Jul 14, 2007 at 10:22:52PM +0200, Miriam Ruiz wrote:
> > I plan to upload version 3.9 to the archive. AFAIK, there shouldn't been
> > ant problem with the theme, as it is original and, even if it tries to
> > mimig DDR's, no TM is being enforced.
>
> We discussed this on IRC, so I'll just put the short version here for the
> bug log: This is completely impossible; 3.9 has lots of music and graphics
> which is directly ripped from DDRMAX. 4.0 is probably going to be a lot
> better, but last time I checked upstream was not done pruning the tree of
> non-distributable elements yet.
>
> FWIW, I'm still interested in maintaining StepMania in Debian, as soon as
> the
> legal stuff is OK.
>

Yup, as we discussed in IRC, I totally give up StepMania, all yours :)

Miry

I happen to have written source packages for various versions of
stepmania with cdbs-style rules files, hosted at
http://www.eng.uwaterloo.ca/~sruggier/files/apt/. There are three
versions - one of the 4.0 versions is from a snapshot, and the newest
version is checked directly out of CVS, and has a get-orig-source
target. If the CVS code were stable enough, it might have been
tempting to upload it, but unfortunately, it seems pretty buggy.

On Sun, Jul 15, 2007 at 02:28:35AM -0400, Simon Ruggier wrote:
> I happen to have written source packages for various versions of
> stepmania with cdbs-style rules files, hosted at
> http://www.eng.uwaterloo.ca/~sruggier/files/apt/. There are three
> versions - one of the 4.0 versions is from a snapshot, and the newest
> version is checked directly out of CVS, and has a get-orig-source
> target. If the CVS code were stable enough, it might have been
> tempting to upload it, but unfortunately, it seems pretty buggy.

Well, thanks, but the packaging itself is not the problem -- both Miriam and
I already have local packages, and have had for some time. :-)

/* Steinar */
--
Homepage: http://www.sesse.net/

On 7/15/07, Steinar H. Gunderson <email address hidden> wrote:
> Well, thanks, but the packaging itself is not the problem -- both Miriam and
> I already have local packages, and have had for some time. :-)

Sorry, I didn't mean to interfere with your efforts, but I thought
that some users would still find a source package useful, even if they
have to build it themselves, and the bug didn't have any other links
to source packages.

Murat Gunes (mgunes) wrote :

"StepMania is a free dance and rhythm game featuring 3D graphics, dance pad support, and a step editor."

http://www.stepmania.com/

License: MIT/X11

Thank you for your bug report. I'm marking this as triaged.

Bryan Donlan (bdonlan) wrote :

Debian is currently waiting for some non-free theme elements to be replaced; once they are, the package ought to be uploaded to sid, and from there be imported to universe automatically.

# "Orphaning" the ITP - Sesse, Baby, please grab it if you think it
# will eventually be packageable

retitle 200715 RFP: stepmania -- rythm and dancing game
noowner 200715
thanks

#ITP and RFP merged
retitle 201448 RFP: stepmania -- Show me your moves, with this dancing game
#ITP without owner, looks like an RFP
retitle 391887 RFP: freemat -- Mathematics Framework
#ITP without owner, looks like an RFP
retitle 442861 RFP: bundlebuggy -- Tool for tracking merge requests
#RFP marked as pending
retitle 462728 ITP: fusil -- Multi-agent fuzzing system
owner 462728 Pierre Chifflier <email address hidden>
#O and ITA merged together
retitle 454278 ITA: pcmanfm -- an extremely fast and lightweight file manager for X
#ITA without owner
owner 463917 Andrew Lee <email address hidden>
#unparsable owner
owner 464717 Adam C Powell IV <email address hidden>
#s/ / /
retitle 464848 ITP: xserver-xorg-video-openchrome -- Improved Xorg video driver for VIA UniChrome graphics chipsets
#ITP without owner
owner 464863 Matthew Rosewarne <email address hidden>
#wrong severity
severity 464885 wishlist
#ITP without owner
owner 464885 Baptiste Mille-Mathias <email address hidden>
#ITP without owner
owner 464926 Tzafrir Cohen <email address hidden>
#ITP without owner
owner 464927 Tzafrir Cohen <email address hidden>
#ITP without owner
owner 464952 Thomas Bushnell BSG <email address hidden>
#ITP without owner
owner 465124 Enrico Tassi <email address hidden>
#ITP and RFP for the same package
merge 465204 462728
#ITP without owner
owner 465227 Mario Iseli <email address hidden>
#ITP without owner
owner 465271 Christophe Monniez <email address hidden>
#ITP without owner
owner 465372 Aile Filippi <email address hidden>
#ITP without owner
owner 465448 Jeffrey Ratcliffe <email address hidden>
#lowercase package name
retitle 465538 ITP: lynis -- Security auditing tool for Unix based systems
#ITA without owner
owner 465552 LI Daobing <email address hidden>
#ITP without owner
owner 465770 Francis Tyers <email address hidden>
#RFP and ITP for the same package
retitle 465872 ITP: chessdb -- Excellent chess database and analysis software
forcemerge 408118 465872
thanks

--
Thomas Huriaux

retitle 200715 ITP: stepmania -- rythm and dancing game
owner 200715 "Miriam Ruiz" <email address hidden>
thanks

______________________________________________
¿Con Mascota por primera vez? Sé un mejor Amigo. Entra en Yahoo! Respuestas http://es.answers.yahoo.com/info/welcome

#ITP and RFP for the same package
retitle 201448 ITP: stepmania -- Show me your moves, with this dancing game
#ITA without owner
owner 321596 Sikon <email address hidden>
#ITP without owner
owner 458812 Adam C Powell IV <email address hidden>
#RFA and O for the same package
retitle 462839 O: nxtvepg -- Nextview EPG decoder and browser
#ITP without owner
owner 464014 Olivier Berger <email address hidden>
#ITP without owner
owner 465030 Emmet Hikory <email address hidden>
#ITA without owner
owner 465659 Matt Arnold <email address hidden>
#fix package name
retitle 466078 RFP: sourcenav-ng -- source code analysis tool
#ITP without owner
owner 466133 Siegfried-Angel <email address hidden>
#ITP and RFP for the same package
retitle 458220 ITP: uade -- Plays old Amiga audio files through emulation
forcemerge 466188 458220
#wrong severity
severity 466391 wishlist
#too long synopsis: 131 > 80
retitle 466427 RFP: jbig-kit -- a data compression algorithm for bi-level high-resolution images
#big mess
retitle 465426 ITA: bugzilla -- web-based bug tracking system
merge 466601 465426
owner 466601 Salahuddin Pasha <email address hidden>
#ITP without owner
owner 466612 Toby Smithe <email address hidden>
#no package name
retitle 466672 RFP: rhythmbox-bindings -- rhythmbox vala and python bindings
#ITP without owner
owner 466677 Francis Tyers <email address hidden>
#ITP without owner
owner 466678 Francis Tyers <email address hidden>
#s/: / -- /
retitle 466691 ITP: screenruler -- measure objects on screen with a
#ITP without owner
owner 466876 Hideki Yamane <email address hidden>
#lowercase package name
retitle 467085 ITP: astk -- Code_Aster build/control system and front-end
thanks

--
Thomas Huriaux

Philippe Coval (rzr) wrote :

Hi,
FYI I recompiled the package from Simon Ruggier, It works fine, I just needed to add unzip to buildepend:
you can install it from my repo (ppa) :

  http://rzr.online.fr/q/apt

it should run but I have tested with users songs

Hope it helps before it reach debian archives

Did you take out the ripped artwork? (As that seems to be the problem
stopping it entering the archive).

Kẏra (thekyriarchy) wrote :

What is the status on this?

Kẏra (thekyriarchy) wrote :

StepMania 4 has reached alpha! It's at alpha 3 and seems pretty stable. It has a completely newly redesigned theme and is very stable =]

StepMania 4 has now reached alpha (and actually is now at alpha 3 after only
a few days). It has a new theme and is very stable!

Mårten Woxberg (maxmc) wrote :

It's not stable at all... not on 64 bit anyway...

tepMania 4 alpha 3
Compiled Wed Apr 8 22:07:17 PDT 2009 (build 0)
Log starting 2009-04-10 12:20:56
Loading window: gtk
OS: Linux ver 020628
Crash backtrace component: x86 custom backtrace
Crash lookup component: dladdr
Crash demangle component: cxa_demangle
Runtime library: glibc 2.9
Threads library: NPTL 2.9
libavcodec: 0x332800 (3352576)
TLS is available

StepMania 4 has crashed. Debug information has been output to

    /tmp/crashinfo.txt

Vadim Peretokin (vperetokin) wrote :

No alphas for getdeb, sorry.

Changed in getdeb.net:
status: New → Invalid
Kẏra (thekyriarchy) wrote :

<<No alphas for getdeb, sorry.>>
Um, isn't the current version of StepMania on GetDeb the very unstable cvs version of SM4 from over a year ago?

the current version is for 8.04 only and there have been on comments of it
being unstable.

One the stable version of alphas is released, we'll gladly update it.

Kẏra (thekyriarchy) wrote :

I had tried it and it froze before reaching the song selection screen.

http://ubuntuforums.org/showthread.php?t=879832
http://ubuntuforums.org/showthread.php?t=758941

Lauri Niskanen (ape3000) wrote :

I would also like to have stepmania on the repositeries.

Philip Wyett (philwyett) wrote :

Some elements referred to earlier in the report need to be looked at here. Is there still some non-free theme stuff in the package that would need resolving before any package could be built and nominated to the archivists for inclusion in Debian/Ubuntu.

This needs a mentor who has some interest in it - Any takers? :-)

Bryan Donlan (bdonlan) wrote :

The source code will need a good bit of patching before it can be used, looks like. There are a number of compiler failures (likely due to newer versions of G++ being more strict about header includes and the like), and currently stepmania looks for its data directories in the directory containing its binary.

The latter needs a real solution before any packaging happens - should shared data directories be in /usr/share? Then users wouldn't be able to install songs and themes. There'll need to be a way to merge the system-wide directories with the per-user ones; and also a place to put the per-user ones (a dotfile works, but it's a non-obvious place to go looking for the songs directory). Any ideas on where the per-user directories ought to go?

Lauri Niskanen (ape3000) wrote :

Stepmania supports multiple / alternative song directories so there could be one on /usr/share/stepmania and one on ~/.stepmania. I think the dotfile is a good place for the songs.

Wolfgang Silbermayr (silwol) wrote :

I guess we should not clutter the home directory even more by adding a .stepmania subdirectory. Instead it makes sense to follow the XDG specification and use XDG_DATA_HOME and XDG_CONFIG_HOME for new developments. See http://ploum.frimouvy.org/?207-modify-your-application-to-use-xdg-folders for further information about that.

Bryan Donlan (bdonlan) wrote :

On Sun, Apr 26, 2009 at 2:41 PM, Wolfgang Silbermayr <email address hidden> wrote:
> I guess we should not clutter the home directory even more by adding a
> .stepmania subdirectory. Instead it makes sense to follow the XDG
> specification and use XDG_DATA_HOME and XDG_CONFIG_HOME for new
> developments. See http://ploum.frimouvy.org/?207-modify-your-
> application-to-use-xdg-folders for further information about that.

The problem is, for the non-advanced user who just wants to play their
game, they don't really want to go digging in hidden folders (or might
not know where those folders are!) A location that would be more
obvious to the new user would be helpful :)

Kẏra (thekyriarchy) wrote :

<<Is there still some non-free theme stuff in the package>>

There is a completely new them, so it's completely free

Christoph Korn (c-korn) wrote :

Package requests for games belong to getdeb.

Playdeb bugs are about the web page.

Changed in playdeb:
status: New → Invalid
Changed in getdeb.net:
status: Invalid → New
João Pinto (joaopinto) wrote :

3.9 fails to build with Jaunty's gcc:

StdString.h: In member function ‘int CStdStr<CT>::Replace(typename std::basic_string<_CharT, std::char_traits<_CharT>, std::allocator<_CharT> >::const_pointer, typename std::basic_string<_CharT, std::char_traits<_CharT>, std::allocator<_CharT> >::const_pointer) [with CT = char]’:
ScreenEvaluation.cpp:412: instantiated from here
StdString.h:1090: error: no matching function for call to ‘replace(__gnu_cxx::__normal_iterator<char*, std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, __gnu_cxx::__normal_iterator<char*, std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, const char*&)’
make[3]: *** [ScreenEvaluation.o] Error 1

Changed in getdeb.net:
status: New → Incomplete
importance: Undecided → Wishlist
assignee: nobody → João Pinto (joaopinto)
Lauri Niskanen (ape3000) wrote :

Stepmania indeed fails to compile in Jaunty or Karmic. You might want to try to build Stepmania 4 svn-latest with the following patch for GCC 4.3 and newer: http://aur.archlinux.org/packages/stepmania-svn/stepmania-svn/stepmania-svn-gcc43.patch

Christoph Korn (c-korn) wrote :
Changed in getdeb.net:
status: Incomplete → Fix Released
Kẏra (thekyriarchy) wrote :

Is the version in playdeb v 4.0 alpha 5?

João Pinto (joaopinto) wrote :

Verion in playdeb was built from a CVS version, prior to alpha 5.

Kẏra (thekyriarchy) wrote :

Ah, any chance we could get an update? There were some serious snync issues and the sync tool didn't even work so there was no way to correct it making the game effectively useless

Kẏra (thekyriarchy) on 2010-04-29
Changed in getdeb.net:
status: Fix Released → Confirmed
Christoph Korn (c-korn) wrote :

Is there a source tarball of the alpha5 release ?
Neither do I find a svn branch/tag for it.

Changed in getdeb.net:
status: Confirmed → Incomplete
Christoph Korn (c-korn) wrote :

Yes, I already checked out the svn.

But there is no branch or tag for the alpha5. And the trunk is under development. What revision is the alpha5 based on ?

Kẏra (thekyriarchy) wrote :

Not sure, but i think last time it was just built from the newest revision. Could that just be done again?

Tomasz Czapiewski (xeros) wrote :

I've packaged new revision here with little patches:
https://edge.launchpad.net/~xeros/+archive/stepmania
My packages are based on 2007... version from GetDeb on Karmic, adapted to new SVN revision (which has some fixes since alpha5), some other little fixes, for example file storage (for example looking for Save and Packages in /usr/share/games/stepmania4 before exit with error if there are no such subfolders/subdirectories in current directory). Patches are in debian/paches subdirectory.
Packages are for Lucid.
In addition to stepmania4 and stepmania4-data, there is stepmania4-dbg package which might be usefull for debugging.

Works really nice without major problems - tested by me and few people on both architectures - i386 and amd64.
Upgrades from GetDeb version without problems, too.

Roman (thezub) wrote :

Should we really base on SVN code? Unless they have a branch marked "stable" I don't think it's a good idea. Instead I think we should use the old version, 3.9, and replace the theme, perhaps with the one from 4 or a custom one? We can probably pull in a community effort to replace the theme, or maybe we can find an existing theme, under a Free software license and include that as default. I did some quick searching and found no themes with clear licenses listed, but if I or we can find one, we'd be set, I think.

Tomasz Czapiewski (xeros) wrote :

Roman, StepMania 3.9 doesn't even compile under recent Ubuntu versions. It has many really old dependecies. I've tried to fix them and I've compiled it but then it didn't work at all or even if it run it was unstable. Current SVN code compiles cleanly on Ubuntu 10.04 and IMO code is good enough for replace current 3.9 version. There's some not yet finished code as for example there's no character choose from menu on it's default theme - it could be used as random or choose from options (by it's name) when the song starts. But even that it's stable enought for replace.

Roman (thezub) wrote :

> Current SVN code compiles cleanly on Ubuntu 10.04 and IMO code is good enough for replace current 3.9 version. There's some not yet finished code as for example there's no character choose from menu on it's default theme - it could be used as random or choose from options (by it's name) when the song starts. But even that it's stable enought for replace.

Oh ok, didn't know SVN had come along. Last time I tried it it I couldn't get past the 2nd menu, for example. I was more worried about crashes than missing "features" for what are essentially optional features like dancer animations.

David A. Cuadrado (krawek) wrote :

Tomasz Czapiewski have you tried to package sm-ssc ? http://code.google.com/p/sm-ssc/

Yuri Khan (yurivkhan) wrote :

The currently packaged version is compiled without ffmpeg and theora, and so does not play background videos.

Long story:

The original tarball contains a build.sh script that pulls in ffmpeg rev 8448 from svn.mplayerhq.hu. That svn repository, in turn, contains a svn:external that refers to svn://svn.mplayerhq.hu/mplayer/trunk/libswscale — in other words, the *current* version of libswscale. As a result, libswscale fails to compile. The configure script then detects that not all of ffmpeg libraries are available, and disables the use of ffmpeg.

The ffmpeg.patch attempts to fix this by modifying autoconf/m4/video.m4 to accept any ffmpeg versions. In theory, this would allow to build stepmania with ffmpeg libraries installed on the system. However, for this to work, the configure script must be updated via autoconf/automake, and the original tarball does not include an autogen.sh script to accomplish this (although upstream svn repository does). With the original configure script, the system-installed ffmpeg libraries do not pass the version check, and are disabled.

To sum it up, there are two ways to build a fully functional binary:
 * Change the build.sh script to pull ffmpeg revision 8448 without libswscale, and then pull libswscale revision 22713 (which was current at the time ffmpeg@8448 was committed). Build via build.sh.
 * Use autogen.sh from the stepmania svn repository to update the configure script. Build via ./configure && ./make.

I should also note that this particular version (cvs-2007-11-07) has the desirable property of being close enough to the version used in Pump It Up PRO — the theme from PIU PRO can be adapted easily enough not to crash this version of Stepmania. Later, stepmania starts to diverge.

Christoph Korn (c-korn) wrote :

Incompatible function calls.

We better package a fork of it:
arch/InputHandler/InputHandler_Linux_Event.cpp:72: error: no matching function for call to ‘stat::stat(RString&, stat*)’
/usr/include/bits/stat.h:47: note: candidates are: stat::stat()
/usr/include/bits/stat.h:47: note: stat::stat(const stat&)
arch/InputHandler/InputHandler_Linux_Event.cpp:76: error: no matching function for call to ‘stat::stat(RString&, stat*)’

Changed in getdeb.net:
status: Incomplete → Won't Fix
Christoph Korn (c-korn) wrote :

I opened bug 691264 for the GetDeb package of sm-ssc.

MMlosh (mmlosh) wrote :

The argument against stepmania (pyddr/pydance being present) seems no longer valid.

MMlosh (mmlosh) wrote :

pydance has vanished one year ago... certainly a situation that needs fixing

Michael Nagel (nailor) wrote :

could someone with some understanding of the overall situation comment on why this is stalled and edit the bug description to match the current state of affairs?

lemonade (lemonade) wrote :

7 years have passed and it's still not included in repository.

Changed in ubuntu:
status: Triaged → Confirmed
Forest (foresto) wrote :

To those of you who have made packages in the past, how did you handle the fact that Stepmania expects static data, add-ons (like songs and announcers), indexes, and configuration files all to live under the same directory? As of the 5.0beta3 release, it still seems to require that any user running it has write access to just about everything, which makes it a terrible fit for a unix/linux package. If there's some way to make it look for its data in both a system-wide shared area and in the user's home dir, could someone let me know?

Scott Ritchie (scottritchie) wrote :

That data issue is the main reason why I didn't follow through on packaging. You'll need to modify the upstream source to make it look intelligently in a user home folder.

One other option you can consider is wrapping it in a container or overlay filesystem so that the app doesn't know it's not writing to its own folder.

Forest (foresto) wrote :

Talking with some stepmania developers revealed that the current code looks in ~/.stepmania-5.0 for data files. I'll have to experiment before I know whether it takes both locations into account or just chooses one, but either way, it's looking a lot more suitable for packaging. Now if only it included up-to-date license/copyright files.

Forest (foresto) wrote :

I filed a bug report in hopes of getting the stepmania team to update their license files:

https://github.com/stepmania/stepmania/issues/296

Changed in debian:
status: New → Fix Released
Changed in debian:
status: Fix Released → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.